Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

deps: update dependency com.google.errorprone:error_prone_annotations to v2.9.0 #838

Conversation

renovate-bot
Copy link
Contributor

@renovate-bot renovate-bot commented Aug 19, 2021

WhiteSource Renovate

This PR contains the following updates:

Package Change Age Adoption Passing Confidence
com.google.errorprone:error_prone_annotations (source) 2.8.1 -> 2.9.0 age adoption passing confidence

Release Notes

google/error-prone

v2.9.0

Compare Source

Release Error Prone 2.9.0

New checks:

  • DeprecatedVariable
  • PublicApiNamedStreamShouldReturnStream

Fixes #​2124, #​2371, #​2393, #​2470


Configuration

📅 Schedule: At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • If you want to rebase/retry this PR, check this box.

This PR has been generated by WhiteSource Renovate. View repository job log here.

@renovate-bot renovate-bot requested review from a team as code owners August 19, 2021 23:59
@trusted-contributions-gcf trusted-contributions-gcf bot added kokoro:force-run Add this label to force Kokoro to re-run the tests. owlbot:run Add this label to trigger the Owlbot post processor. labels Aug 19, 2021
@google-cla google-cla bot added the cla: yes This human has signed the Contributor License Agreement. label Aug 19, 2021
@product-auto-label product-auto-label bot added the api: pubsublite Issues related to the googleapis/java-pubsublite API. label Aug 19, 2021
@gcf-owl-bot gcf-owl-bot bot removed the owlbot:run Add this label to trigger the Owlbot post processor. label Aug 19, 2021
@yoshi-kokoro yoshi-kokoro removed the kokoro:force-run Add this label to force Kokoro to re-run the tests. label Aug 20, 2021
@eaball35 eaball35 merged commit 47e48d6 into googleapis:master Aug 23, 2021
@renovate-bot renovate-bot deleted the renovate/com.google.errorprone-error_prone_annotations-2.x branch August 23, 2021 16:53
gcf-merge-on-green bot pushed a commit that referenced this pull request Sep 8, 2021
🤖 I have created a release \*beep\* \*boop\*
---
### [1.0.5](https://www.github.com/googleapis/java-pubsublite/compare/v1.0.4...v1.0.5) (2021-09-08)


### Bug Fixes

* Ensure notifyFailed is called and all services are stopped when a permanent error happens ([#860](https://www.github.com/googleapis/java-pubsublite/issues/860)) ([a046b53](https://www.github.com/googleapis/java-pubsublite/commit/a046b53276d8e6a4ca7b9fac090064e900de181c))


### Dependencies

* update dependency com.google.cloud:google-cloud-pubsub to v1.114.1 ([#843](https://www.github.com/googleapis/java-pubsublite/issues/843)) ([04415ec](https://www.github.com/googleapis/java-pubsublite/commit/04415ecf52a9ea731a45ef780cb6b4f64681d1f4))
* update dependency com.google.cloud:google-cloud-pubsub to v1.114.2 ([#848](https://www.github.com/googleapis/java-pubsublite/issues/848)) ([074488e](https://www.github.com/googleapis/java-pubsublite/commit/074488eba32baa48e0543efb044e8f92c5210b15))
* update dependency com.google.cloud:google-cloud-shared-dependencies to v2.1.0 ([#842](https://www.github.com/googleapis/java-pubsublite/issues/842)) ([e5e66bc](https://www.github.com/googleapis/java-pubsublite/commit/e5e66bc0a50b01474776a79d4d797df102b3eb47))
* update dependency com.google.cloud:google-cloud-shared-dependencies to v2.2.0 ([#854](https://www.github.com/googleapis/java-pubsublite/issues/854)) ([4ef86a6](https://www.github.com/googleapis/java-pubsublite/commit/4ef86a66dde47adc98dd3fe9f468e571c2e619d4))
* update dependency com.google.errorprone:error_prone_annotations to v2.9.0 ([#838](https://www.github.com/googleapis/java-pubsublite/issues/838)) ([47e48d6](https://www.github.com/googleapis/java-pubsublite/commit/47e48d6ff017eccba94086c8285ad800dd53406f))
* update dependency com.google.errorprone:error_prone_core to v2.9.0 ([#839](https://www.github.com/googleapis/java-pubsublite/issues/839)) ([ebb1bb1](https://www.github.com/googleapis/java-pubsublite/commit/ebb1bb192170d83beb329e582038cd0c59a22152))
* update dependency org.checkerframework:checker-qual to v3.18.0 ([#855](https://www.github.com/googleapis/java-pubsublite/issues/855)) ([c3c8400](https://www.github.com/googleapis/java-pubsublite/commit/c3c8400fe234534023abef96e5b9b1d523e7dfaa))
---


This PR was generated with [Release Please](https://github.com/googleapis/release-please). See [documentation](https://github.com/googleapis/release-please#release-please).
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
api: pubsublite Issues related to the googleapis/java-pubsublite API. cla: yes This human has signed the Contributor License Agreement.
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants